Jump to content
Just nu i M3-nätverket

Kan inte installera Java ?


Hjälp

Recommended Posts

Har en iMac OS X vers. 10.4.11 2 GHz Intel Core 2 Duo som jag fick bytt hårdisk på (försäkringsjobb) men när jag fick tillbaka den så var den helt tom så jag fick köra de båda installations skivorna som följde med när jag köpte iMacen och sedan göra alla uppdateringar som jag kunde hitta under äpple/uppdateringar men... när jag tankat hem JavaForMacOSX10.4Release9.pkg (försökte även med release 6, 7 och 8) så går den inte att installera.

 

Vad kan vara fel??

Link to comment
Share on other sites

Har en iMac OS X vers. 10.4.11 2 GHz Intel Core 2 Duo som jag fick bytt hårdisk på (försäkringsjobb) men när jag fick tillbaka den så var den helt tom så jag fick köra de båda installations skivorna som följde med när jag köpte iMacen och sedan göra alla uppdateringar som jag kunde hitta under äpple/uppdateringar men... när jag tankat hem JavaForMacOSX10.4Release9.pkg (försökte även med release 6, 7 och 8) så går den inte att installera.

 

Vad kan vara fel??

 

Du kanske installerade det redan med apples inbyggda uppdaterare? Kolla i terminalen skriv "java-version" inställningar för java hittar du i verktygsmappen under program om du vill kolla inställningar grafiskt, men där står inte det kompletta versions nr.

Link to comment
Share on other sites

Du kanske installerade det redan med apples inbyggda uppdaterare? Kolla i terminalen skriv "java-version" inställningar för java hittar du i verktygsmappen under program om du vill kolla inställningar grafiskt, men där står inte det kompletta versions nr.

 

 

Grejen är att när jag försöker öppna en sida på nätet så får jag upp en ruta som säger att jag måste ha "java script" för att öppna.

Jag trodde att jag redan hade java men när jag fick meddelandet så sökte jag på uppdateringar och fick upp JavaForMacOSX10.4Release9.pkg som jag laddade hem.

 

Det jag kan hitta i datorn när jag söker på java är :Java 1.4.2 Plugin Settings + Java 1.3.1 Plugin Settings +

Input Method Hotkey + J2SE 5.0 (under preferenses/allmänt. där går att välja J2SE 1.4.2 )

Link to comment
Share on other sites

Kollade precis på SUN som tillhandahåller Java och se säger att apple har sin egen klient för detta och att man ska köra programuppdateraren för senaste utgåva.

 

Men kan här finnas något? http://www.apple.com/support/downloads/jav...105update1.html

 

Men är det Javascript du behöver så kolla inställningarna i den webbläsare. För safari är det menyn Safari - Inställningar - Säkerhet så kan du klicka i Javascript

Link to comment
Share on other sites

Javascript är inte Java.

 

Du ställer in Javascript i inställningarna i din webbläsare.

Link to comment
Share on other sites

Jag hade problem med detta under förra året, och det enda som hjälpte var

en "Arkivera/installera installation".

 

I detta fall har du ju gjort en helt ny installation, så den borde ju var felfri.

 

Angående "Arkivera/installera installation" kan du läsa om här:

https://forum.macworld.se/index.php?showtop...34&hl=Arkiv

Link to comment
Share on other sites

Tackar för svar och tips.

 

När jag kollar Safari och inställningar så är både Java och Javascript i klickade.

 

Jag hämtade från äpplet/uppdatera för senaste version ( JavaForMacOSX10.4Release9.pkg ) men... när jag fått hem den så funkar den inte att installera.

 

 

Får kolla http://www.apple.com/support/downloads/jav...105update1.html oxå, men är inte det 10.5 ? jag har ju 10.4

Link to comment
Share on other sites

Laddade hem Firefox och testade att gå ut på sidan (som frågade efter javascript) med den som webläsare och då funkade det så... förmodligen kunde jag inte installera Java för att det redan fanns installerat i datorn.

 

 

Ps/ Får ingen "markör" när jag skriver här med Firefox som webbläsare. Skumt. Vad kan det bero på /Ds

Link to comment
Share on other sites

Som redan sagts... Javascript har inget med Java att göra (och ja det är fruktansvärt korkat namn, men Java var populärt när det introducerades och istället för att kalla det Webscript eller något så döpte man det till javascript för att fririda lite på java hypen.)

Link to comment
Share on other sites

Tackar alla för tips och engagemang.

(men det är ju kontsigt att "javascript" är i klickat som aktivt på Safari men ändå inte funkar)

 

(och det där med markören när jag skriver här)

Link to comment
Share on other sites

Laddade hem Firefox och testade att gå ut på sidan (som frågade efter javascript) med den som webläsare och då funkade det så... förmodligen kunde jag inte installera Java för att det redan fanns installerat i datorn.

 

 

Ps/ Får ingen "markör" när jag skriver här med Firefox som webbläsare. Skumt. Vad kan det bero på /Ds

 

https://forum.macworld.se/index.php?s=&...t&p=1228291

 

Någon kanske undrar varför HTLM5 inte fungerar iFirefox. Så här har jag uppfattat det.

 

Firefox är min standardläsare. Men angående HTLM5 gäller Google Chrome eller Safari, på grund av, det nuvarande HTML5 testandet på youtube använder H.264, därför fungerar det inte i Firefox. (Safari och liknande har licensierat H.264 codecs i sina distron)

 

Flash är en container, inte en codec. HTML5 skulle vara motsvarande "fria".

 

Även om Flash Video containerformat själv är öppen, är de flesta komprimeringsformat som används tillsammans med den patenterade. Flash Video FLV-filer innehåller oftast material kodat med codecs efter Sorenson Spark eller VP6 videoformat komprimering. Den senaste offentliga versioner av Flash Player stöder även H.264-video och HE-AAC-ljud.

 

H.264 är en codec, inte en container. Ogg Theora skulle vara motsvarande "fria".

 

Olika tekniker, är inte "gratis". Därför har de flesta HTML-förespråkare (inklusive Mozilla) pressat på för Ogg Theora skall vara den standard som antagits video codec under HTML5 och inte H.264.

 

salakalle :crossfingers: hälsar, klicka på länken och läs iMattes inlägg.

Link to comment
Share on other sites

Archived

This topic is now archived and is closed to further replies.



×
×
  • Create New...